=== modified file 'NEWS'
--- NEWS	2008-06-29 22:44:42 +0000
+++ NEWS	2008-06-29 22:46:38 +0000
@@ -23,6 +23,9 @@
 
   * Avoid use of removed smart_add. (Jelmer Vernooij, #244025, #244027)
 
+  * Remove use of upstream removed Repository.revision_parents() 
+    (Jelmer Vernooij)
+
  CHANGES
 
   * Moved notify icon code to separate script. (Jelmer Vernooij)

=== modified file 'revisionmenu.py'
--- revisionmenu.py	2008-01-23 16:36:21 +0000
+++ revisionmenu.py	2008-06-29 22:46:38 +0000
@@ -81,13 +81,11 @@
     def show_diff(self, item):
         from bzrlib.plugins.gtk.diff import DiffWindow
         window = DiffWindow(parent=self.parent)
-        parentids = self.repository.revision_parents(self.revids[0])
-
+        parentids = self.repository.get_revision(self.revids[0]).parent_ids
         if len(parentids) == 0:
             parentid = NULL_REVISION
         else:
             parentid = parentids[0]
-
         rev_tree    = self.repository.revision_tree(self.revids[0])
         parent_tree = self.repository.revision_tree(parentid)
         window.set_diff(self.revids[0], rev_tree, parent_tree)

